=== debian/changelog ===
jni-inchi (0.8+dfsg-6) unstable; urgency=medium

  * Rewriting debian/watch with mode=svn.

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Jul 2020 06:22:57 -0400

jni-inchi (0.8+dfsg-5) unstable; urgency=medium

  * Splitting override_dh_auto_install to -indep and -arch.

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Nov 2019 03:53:50 -0500

jni-inchi (0.8+dfsg-4) unstable; urgency=medium

  * Arch-dependent build has the same build-depends as arch-independent build.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Nov 2019 12:18:42 -0500

jni-inchi (0.8+dfsg-3) unstable; urgency=medium

  * Adding symlink libjni-inchi-jni.poms -> libjni-inchi-java.poms to fix
    build-arch builds.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Nov 2019 10:58:52 -0500

jni-inchi (0.8+dfsg-2) unstable; urgency=medium

  * Fixing debian/copyright (package is released under LGPL-3+).

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Nov 2019 01:45:44 -0500

jni-inchi (0.8+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #939842).

 -- Andrius Merkys <merkys@debian.org>  Mon, 02 Sep 2019 01:22:12 -0400
