=== debian/watch ===
version=4
opts="mode=svn,pgpmode=none,repack,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
 https://svn.code.sf.net/p/jni-inchi/code/tags/ \
 jni-inchi-([\d.]+)\/
